Page MenuHomePhabricator

Prioritize List of Top MediaWiki Features Requested by Third Parties
Closed, ResolvedPublic

Description

Upon producing a list of top requested features, the stakeholders' group will prioritize the requested features.

The outcome is a list of Primary and Secondary requests with descriptions of what they contain.

https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist

Event Timeline

Palexis created this task.Oct 28 2014, 8:16 PM
Palexis updated the task description. (Show Details)
Palexis raised the priority of this task from to Normal.
Palexis added a project: Wiki-Release-Team.
Palexis changed Security from none to None.
Aklapper added a subscriber: Aklapper.

Upon producing a list of top requested features

Does that list exist (as the blocking task T951: Compile a List of MediaWiki Third Party Customers was removed here)?

Upon producing a list of top requested features

Does that list exist (as the blocking task T951: Compile a List of MediaWiki Third Party Customers was removed here)?

https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist

"This is a list of features commonly and widely requested by non-WMF users."

Qgil added a comment.Apr 30 2015, 10:31 AM

Wouldn't that list be more useful as a Phabricator project, connected to actual tasks with their dependencies, priorities, and eventually owners?

Qgil added a comment.Jun 28 2015, 8:51 AM

Is this presentation in Wikimania happening? At the hackathon or the regular program? Who owns it?

Qgil renamed this task from Prioritize List of Top Requested Features to Prioritize List of Top MediaWiki Features Requested by Third Parties.Jun 28 2015, 10:37 PM
In T954#1408071, @Qgil wrote:

Is this presentation in Wikimania happening? At the hackathon or the regular program? Who owns it?

I assume you are referring to T100217, I'll answer there.

Qgil lowered the priority of this task from Normal to Low.Aug 8 2015, 9:25 AM

Low priority just to reflect the lack of progress in this task.

Now that we have completed the MediaWiki Users Survey @RichardHeigl and I are working on taking the survey results along with the existing wishlist and creating a single prioritized list.

Qgil added a comment.Aug 10 2015, 4:34 PM

@Ckoerner, this is great news! Does one of you be assigned to this task? And do you want to commit it to the DevRel-September-2015? You would be as free as before, but having some structure does help getting things done.

Ckoerner updated the task description. (Show Details)Aug 11 2015, 2:21 AM
Ckoerner claimed this task.

I took a first pass at trying to make sense of the responses from the MediaWiki Users Survey from last month (July 2015). I'd appreciate feedback and suggestions.

https://www.mediawiki.org/wiki/Talk:MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist#Survey_Responses_First_Pass

Our next steps is to combine this with the existing wish list I mentioned earlier and write up brief descriptions for each request.

Draft version with grouping and prioritiziation published. Please make a review - especially the english speaking ones in this group ;-)
https://www.mediawiki.org/wiki/MediaWiki_Stakeholders'_Group/Tasks/Feature_wishlist

Then this ticket could be closed.

Qgil added a comment.Oct 23 2015, 3:43 PM

Thank you very much!

Request/recommendation to the Stakeholders: could you check Wikimedia-Developer-Summit-2016 and make sure that session proposals in line with this list have descriptions reflecting your interest, have the right people CCed, and have active discussions, please?

https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist

This work is generally complete. We plan on presenting our findings at the Developer Summit. See T117193 for more information.

Ckoerner updated the task description. (Show Details)Oct 30 2015, 2:47 PM
RichardHeigl added a comment.EditedNov 16 2015, 4:58 PM

@Ckoerner: Should we close this? We could publish the results again e.g at the mediawiki enterprise list? Somewhere else? Or just close?

@RichardHeigl You're right, we should publish the results for folks. Let me put something together and we can review.

RichardHeigl moved this task to Resolved on the MediaWiki-Stakeholders-Group workboard.

Should the task status also be changed from "open" to "resolved"?

@RichardHeigl You're right, we should publish the results for folks. Let me put something together and we can review.

Has this happened? If yes, link is welcome. :)

Apologies for the delay, yet this was accomplished and published.

https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/Tasks/Feature_wishlist

Next up is figuring out how to implement!

Ckoerner closed this task as Resolved.Jan 28 2016, 1:43 AM
Qgil awarded a token.Jan 28 2016, 7:48 AM